package org.jeecg.modules.pay.request.v3.labs.accbusifields;

import com.google.gson.Gson;

/**
 * 商品详情
 * 微信支付
 * 账户端业务信息域
 * 交易接口请求
 * 交易接口V3.0下支付类接口
 *
 * @author Mr丶xie
 * @version 1.0.0
 * @mail xielinke@lklink.cn
 */
public class WxPayDetailRequest {

    private WxPayDetailRequest() {
    }

    public WxPayDetailRequest(WxPayGoodsDatailRequest goods_detail) {
        this.goods_detail = goods_detail;
    }

    /**
     * 1.商户侧一张小票订单可能被分多次支付，订单原价用于记录整张小票的交易金额。
     * 2.当订单原价与支付金额不相等，则不享受优惠。
     * 3.该字段主要用于防止同一张小票分多次支付，以 享受多次优惠的情况，正常支付订单不必上传此参 数。 如：608800
     */
    private String cost_price;

    /**
     * 商家小票 ID
     */
    private String receipt_id;

    /**
     * 单品信息，使用Json数组格式提交
     */
    private WxPayGoodsDatailRequest goods_detail;

    public String getCost_price() {
        return cost_price;
    }

    public void setCost_price(String cost_price) {
        this.cost_price = cost_price;
    }

    public String getReceipt_id() {
        return receipt_id;
    }

    public void setReceipt_id(String receipt_id) {
        this.receipt_id = receipt_id;
    }

    public String getGoods_detail() {
        return new Gson().toJson(goods_detail);
    }

    public void setGoods_detail(WxPayGoodsDatailRequest goods_detail) {
        this.goods_detail = goods_detail;
    }
}
